WMEMCPY(3)

NAME
wmemcpy - copy wide characters

SYNOPSIS
#include <wchar.h>
wchar_t *
wmemcpy(wchar_t * restrict dst, const wchar_t * restrict src, size_t len);

DESCRIPTION
The wmemcpy() function copies len wide characters from buffer src to buffer dst. If the two buffers may overlap, wmemmove(3) must be used instead.

RETURN VALUES
The wmemcpy() function returns the original value of dst.

SEE ALSO
memcpy(3), wcscpy(3), wcslcpy(3), wmemmove(3)

STANDARDS
The wmemcpy() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wmemcpy() function was ported from NetBSD and first appeared in OpenBSD 3.8.